查询单个 Suno 任务
curl --request GET \
--url https://kaienapi.com/suno/fetch/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://kaienapi.com/suno/fetch/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kaienapi.com/suno/fetch/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://kaienapi.com/suno/fetch/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}查询单个 Suno 任务
按任务 ID 查询单个 Suno 任务。
查询顺序
- 通过
POST /suno/submit/{action}提交任务。 - 保存返回的任务 ID。
- 轮询本接口,直到任务完成或失败。
- 从返回中读取歌曲、音频片段、歌词、状态或失败原因。
页面状态
任务详情页、单任务进度条和单条历史记录刷新都应以本接口结果为准。
GET
/
suno
/
fetch
/
{id}
查询单个 Suno 任务
curl --request GET \
--url https://kaienapi.com/suno/fetch/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://kaienapi.com/suno/fetch/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://kaienapi.com/suno/fetch/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://kaienapi.com/suno/fetch/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}